suziab={}
对话NPC("☆回收装备☆")
等待(1500)


aa=NPC对话内容
for i=1,60 do
change=匹配内容(aa,[[(<⊙/SCOLOR=\d{2,3}>)]])
if change~=nil then
aa=string.gsub(aa,change,"AA")
end
end

for i=1,60 do
change=匹配内容(aa,[[(<○/SCOLOR=\d{2,3}>)]])
if change~=nil then
aa=string.gsub(aa,change,"BB")
end
end

aa=string.gsub(aa,"　","")
--输出信息(aa)
kstring={}
for i=1,5 do
k1=匹配内容(aa,[[([A-B]{24})]])
if k1~=nil then
kstring[i]=k1
aa=string.gsub(aa,k1,"",1)
--输出信息(kstring[i])
end
end



mosuzi={}
mosuzi[1]="BBAABBBBAABBBBAABBBBAABBBBAABB"
mosuzi[2]="AAAAAABBBBAAAAAAAAAABBBBAAAAAA"
mosuzi[3]="AAAAAABBBBAAAAAAAABBBBAAAAAAAA"
mosuzi[4]="AABBAAAABBAAAAAAAABBBBAABBBBAA"
mosuzi[5]="AAAAAAAABBBBAAAAAABBBBAAAAAAAA"
mosuzi[6]="AAAAAAAABBBBAAAAAAAABBAAAAAAAA"
mosuzi[7]="AAAAAABBBBAABBBBAABBBBAABBBBAA"
mosuzi[8]="AAAAAAAABBAAAAAAAAAABBAAAAAAAA"
mosuzi[9]="AAAAAAAABBAAAAAAAABBBBAAAAAAAA"

abstring={}
passtring=table.concat{kstring[1],kstring[2],kstring[3],kstring[4],kstring[5]}
--输出信息(passtring)
k1=1
for i=1,5 do
  suziab[i]=string.sub(passtring,k1,k1+5)
  --输出信息(suziab[i])
  k1=k1+24
end

abstring[1]=table.concat{suziab[1],suziab[2],suziab[3],suziab[4],suziab[5]}
--输出信息(abstring[1])

k1=1
for i=1,5 do
  suziab[i]=string.sub(passtring,k1+6,k1+11)
  --输出信息(suziab[i])
  k1=k1+24
end

abstring[2]=table.concat{suziab[1],suziab[2],suziab[3],suziab[4],suziab[5]}
--输出信息(abstring[2])

k1=1
for i=1,5 do
  suziab[i]=string.sub(passtring,k1+12,k1+17)
  --输出信息(suziab[i])
  k1=k1+24
end

abstring[3]=table.concat{suziab[1],suziab[2],suziab[3],suziab[4],suziab[5]}
--输出信息(abstring[3])

k1=1
for i=1,5 do
  suziab[i]=string.sub(passtring,k1+18,k1+23)
  --输出信息(suziab[i])
  k1=k1+24
end

abstring[4]=table.concat{suziab[1],suziab[2],suziab[3],suziab[4],suziab[5]}
--输出信息(abstring[4])

desuzi={}
for i1=1,4 do
for i2=1,9 do
if abstring[i1]==mosuzi[i2] then
  --输出信息(i2)
  desuzi[i1]=i2
end
end
end
passcode=table.concat{desuzi[1],desuzi[2],desuzi[3],desuzi[4]}
--输出信息(passcode)
findapi=匹配内容(NPC对话内容,[[(@@InPutString\d{1,3})]])
if findapi~=nil then
api=findapi
else
api=匹配内容(NPC对话内容,[[(@@InPutInteger\d{1,3})]])
end
合成命令(api,passcode)

